Installer - Bug #28928

checkpoint_segments in PostgreSQL config breaks upgrades
02/05/2020 10:17 AM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: foreman-installer script
Target version: 2.3.0
Difficulty: Fixed in Releases: 2.3.0
Triaged: Yes Found in Releases:
Bugzilla link: 1867311 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/564,
https://github.com/theforeman/foreman-i
nstaller/pull/462,
https://github.com/theforeman/foreman-i
nstaller/pull/621

Description

When running the upgrade the following shows up:

Feb 5 10:11:06 centos7-foreman-nightly sh: 2020-02-05 10:11:06.935 GMT [19621] LOG: unrecognized
configuration parameter "checkpoint_segments" in file "/var/opt/rh/rh-postgresqll2/lib/pgsqgl/data
/postgresgl.conf" line 760

Feb 5 10:11:06 centos7-foreman-nightly sh: 2020-02-05 10:11:06.935 GMT [19621] FATAL: configurat
ion file "/var/opt/rh/rh-postgresgll2/lib/pgsql/data/postgresgl.conf" contains errors

Related issues:
Related to Installer - Feature #28697: Upgrade to Postgresql 12 Closed

Associated revisions

Revision e077f41b - 02/11/2020 12:22 PM - Ewoud Kohl van Wijngaarden

Refs #28928 - Remove checkpoint_segments from tuning

The checkpoint_segments setting no longer exists since PostgreSQL 10 and
the server fails to start up if it's present.

This is not a complete fix since it doesn't clean it up on existing
installations which can break upgrades.

Revision 33069447 - 08/24/2020 12:07 PM - Eric Helms
Fixes #28928: Error if checkpoint_segments detected

History

#1 - 02/05/2020 10:21 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/462 added

#2 - 02/05/2020 10:43 AM - Ewoud Kohl van Wijngaarden
- Related to Feature #28697: Upgrade to Postgresql 12 added

#3 - 08/20/2020 06:06 PM - Eric Helms
- Bugzilla link set to 1867311

05/19/2024 12




#4 - 08/20/2020 06:25 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/564 added

#5 - 08/24/2020 12:07 PM - The Foreman Bot
- Fixed in Releases 2.3.0 added

#6 - 08/24/2020 01:01 PM - Eric Helms
- Status changed from Ready For Testing to Closed

Applied in changeset installer|3306944761dd559d8343e1748a82d8021d1f99ad.

#7 - 11/30/2020 06:00 PM - Ewoud Kohl van Wijngaarden
- Category set to foreman-installer script
- Target version set to 2.3.0

- Triaged changed from No to Yes

#8 - 11/30/2020 06:19 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/621 added
